<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Oeffentlich\AccessDenied\Ausgeloggt;

class AccessDeniedRahmenAusgeloggtController extends \Kufer\KuferTools\Basis\Controller\Controller
{
  protected function getUseCase(): \Kufer\KuferTools\Basis\UseCase\UseCase
  {
    return new AccessDeniedRahmenAusgeloggtUseCase(
      $this->getRequestObj()
    );
  }

  protected function getRequestObj()
  {
    return new AccessDeniedRahmenAusgeloggtRequest();
  }

  protected function getPresenter($pUseCaseResponse)
  {
    return new AccessDeniedRahmenAusgeloggtPresenter($pUseCaseResponse);
  }
}